/*=========================
	CONTACT INFO BLOCK
=========================*/

.block-contact-info .container {
  display: grid;
  grid-template-columns: 2fr 1fr;
  justify-content: space-between;
  gap: var(--space-6);
}
.block-contact-info .content {
  grid-column: 1;
  grid-row: 1;
  overflow: hidden;
}
.block-contact-info .items {
  background: var(--color-p);
  color: var(--color-n-white); 
  padding: var(--space-5) var(--space-4);
  position: relative;
}
.block-contact-info .items .item > h3 {
  color: var(--color-a);
  border-bottom: 1.5px dotted var(--color-n-white);
  padding-bottom: var(--space-3);
}
.block-contact-info .items .item .location {
  padding-bottom: var(--space-2);
}
.block-contact-info .items .item .location:first-of-type {
  padding-top: var(--space-2);
}
.block-contact-info .items .item .font-small {
  color: var(--color-p-80);
}
.block-contact-info .items .item:last-of-type {
  margin-bottom: var(--space-6);
}
.block-contact-info .items .button-lg {
  text-align: left;
  border-radius: 0;
  z-index: 1;;
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  max-width: unset;
  font-size: 20px;
  padding: var(--space-4) var(--space-4);
} 
.block-contact-info .items .button-color-a {
  background-color: var(--color-a);
  color: var(--color-n-white);
}  
.block-contact-info .items .button-color-a:after {
  content: url('../../../img/icons/arrow-right.svg') !important;
  transition: transform 0.3s ease-in-out; 
}  
.block-contact-info .items .button-color-a::before {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background-color: #FFF;
  transform-origin: 100% 100%; 
  transform: scaleX(0); 
  transition: transform 0.2s ease-in-out; 
  z-index: -1;
}
.block-contact-info .items .button-color-a:hover::before {
  transform-origin: 0% 0%;
  transform: scaleX(1); 
}
.block-contact-info .items .button-color-a:hover {
  border-color: var(--color-n-white) !important; 
  color: var(--color-a) !important;
}
.block-contact-info .items .button-color-a:hover:after {
  content: url('../../../img/icons/arrow-right.svg') !important;
  transition: transform 0.3s ease-in-out; 
  transform: translateX(5px);
}  


.block-contact-info .items .button-color-a .phone-number {
    grid-area: 1/1;
    opacity: 0;
    visibility: hidden;
    transition: .15s;
}
.block-contact-info .items .button-color-a:hover .phone-number {
    opacity: 1;
    visibility: visible;
}
.block-contact-info .items .button-color-a .phone-code {
    grid-area: 1/1;
    transition: .15s;
}
.block-contact-info .items .button-color-a:hover .phone-code {
    opacity: 0;
    visibility: hidden;
}

.block-contact-info .items .button-color-a .phone-combo {
    display: grid;
}

/*Submit Button*/
.block-contact-info #submit_button {
    padding: 11px 18px;
    border-radius: 40px;
    border: 1.5px solid var(--color-p);
    font-family: 'WorkSans-Regular', sans-serif;
    font-size: 15px;
    font-weight: 500;
    text-transform: capitalize;
    color: var(--color-n-black);
    border-color: var(--color-a);
}
.block-contact-info #submit_button:hover {
    color: var(--color-n-white);
    background: var(--color-a);
}

@media only screen and (max-width: 992px) {
  .block-contact-info {
    padding: var(--space-6) 0px;
  }
  .block-contact-info .container {
    display: grid;
    grid-template-columns: 1fr;
    gap: var(--space-5);
  }
  .block-contact-info .image {
    grid-column: 1 !important;
    grid-row: 2 !important;
  }
  .block-contact-info .image img {
    height: 310px;
  }
  .block-contact-info .content {
    grid-column: 1 !important;
    grid-row: 1 !important;
  }
  .block-contact-info .content .copy {
    margin-bottom: var(--space-4);
  }
}

@media only screen and (max-width: 578px) {
  .block-contact-info .content .title {
    font-size: 5.6rem;
  }
  .block-contact-info .image img {
    height: 250px;
  }
}
